<script lang="ts">
  import BaseLayout from '$lib/components/layouts/BaseLayout.svelte';
  import Tag, { Color } from '$lib/components/Tag.svelte';
  import type { PageData } from './$types';
  import { PUBLIC_API_URL } from '$env/static/public';
  import Markdown from '$lib/components/Markdown.svelte';
  import FileItem from '$lib/components/Items/FileItem.svelte';

  export let data: PageData;

  const { name: title, text, createdAt: date, user: author, tagNews: tags, attachment, attachments } = data?.news;

  const locale = 'ru-RU',
    dateString = new Intl.DateTimeFormat(locale).format(new Date(date));
</script>

<svelte:head>
    <title>{title}</title>
</svelte:head>

<BaseLayout>
    <main class="my-16 2xl:px-32 xl:px-24 px-8 space-y-6">
        <header class="relative">
            <img src="{PUBLIC_API_URL}/attachment/{attachment.id}" alt=""
                 class="object-cover brightness-75 h-80 w-full rounded-xl">
            <section class="absolute bottom-4 left-4 space-y-4 text-white">
                <h1 class="xl:text-4xl text-2xl font-bold font-serif">{title}</h1>
                <section class="flex flex-wrap gap-4">
                    {#each tags as { name }}
                        <Tag noSelect color={Color.white} {name}/>
                    {/each}
                </section>
                <section class="flex gap-4">
                    <address class="not-italic">{author.lastName} {author.firstName}</address>
                    <time>{dateString}</time>
                </section>
            </section>
        </header>

        <Markdown {text}/>

        {#if attachments}
            {#each attachments as { file, id }}
                {#if file instanceof File}
                    <FileItem {file} {id} download/>
                {/if}
            {/each}
        {/if}
    </main>
</BaseLayout>